Skip to content

Creates a new billing run action record that does not already exist.

Request

This method will auto-generate an ID and create a new billing run action. If an ID is specified for the billing run action, an error will be thrown.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The billing run action that you would like to be saved.

application_idstring(Application)required

The application linked to this action

application_notice_idstring(Application Notice)

The application notice - if applicable

billing_run_idstring(Billing Run)required

The billing run ID

candidate_idstring(Candidate)required

The candidate to which this action is linked

candidate_servicestring(Candidate Service)required

The service of the candidate

certification_idstring(Certification)required

The certification linked to this action

certification_notice_idstring(Certification Notice)required

The certification notice - if applicable

datestring, (date-time)(Date)required

The action date

email_training_provider_invoiceboolean(Email Training Provider Invoice)

Whether to email training providers

error_messagestring(Error Message)

The error message

error_stackstring(Error Stack)

A detailed error message with stack trace

expiration_datestring(Expiration Date)

The expiration date

idstring(ID)^[\w:|-]+$required

The unique, string identifier of this billing run action

invoice_idstring(Invoice)

The invoice that was created

invoice_template_idstring(Invoice Template)required

The invoice template to use to bill the training provider

last_refresh_datestring, (date-time)(Last Refresh Date)

The date this action was last refreshed

namestring(Name)required

Name of the membership

outcome_of_last_refreshstring(Outcome Of Last Refresh)

Describes what happened to this action the last time this billing run was refreshed

Enum:"added""no change""removed"
program_idstring(Program)required

The program

statusstring(Status)required

The status of this action

Enum:"completed""error""excluded""expiration date changed""no longer eligible""payment failure""pending""processing""processing order"
step_function_execution_arnstring(Step Function Execution Arn)

The step function arn

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

training_provider_billing_recordsArray of objects, non-emptyrequired
training_provider_idstring(Training Provider)required

The application linked to this action

typestring(Type)required
Enum:"activate application""bill training provider""drop certification""expire application""forecast renewal""send application reminder""send renewal reminder"
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/billingRunActions/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "application_id": "string",
    "application_notice_id": "string",
    "billing_run_id": "string",
    "candidate_id": "string",
    "candidate_service": "string",
    "certification_id": "string",
    "certification_notice_id": "string",
    "date": "2019-08-24T14:15:22Z",
    "email_training_provider_invoice": true,
    "error_message": "string",
    "error_stack": "string",
    "expiration_date": "string",
    "id": "string",
    "invoice_id": "string",
    "invoice_template_id": "string",
    "last_refresh_date": "2019-08-24T14:15:22Z",
    "name": "string",
    "outcome_of_last_refresh": "added",
    "program_id": "string",
    "status": "completed",
    "step_function_execution_arn": "string",
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "training_provider_billing_records": [
      {
        "id": "string",
        "service": "string"
      }
    ],
    "training_provider_id": "string",
    "type": "activate application"
  }'

Responses

The billing run action was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
application_idstring(Application)required

The application linked to this action

application_notice_idstring(Application Notice)

The application notice - if applicable

billing_run_idstring(Billing Run)required

The billing run ID

candidate_idstring(Candidate)required

The candidate to which this action is linked

candidate_servicestring(Candidate Service)required

The service of the candidate

certification_idstring(Certification)required

The certification linked to this action

certification_notice_idstring(Certification Notice)required

The certification notice - if applicable

datestring, (date-time)(Date)required

The action date

email_training_provider_invoiceboolean(Email Training Provider Invoice)

Whether to email training providers

error_messagestring(Error Message)

The error message

error_stackstring(Error Stack)

A detailed error message with stack trace

expiration_datestring(Expiration Date)

The expiration date

idstring(ID)^[\w:|-]+$required

The unique, string identifier of this billing run action

invoice_idstring(Invoice)

The invoice that was created

invoice_template_idstring(Invoice Template)required

The invoice template to use to bill the training provider

last_refresh_datestring, (date-time)(Last Refresh Date)

The date this action was last refreshed

namestring(Name)required

Name of the membership

outcome_of_last_refreshstring(Outcome Of Last Refresh)

Describes what happened to this action the last time this billing run was refreshed

Enum:"added""no change""removed"
program_idstring(Program)required

The program

statusstring(Status)required

The status of this action

Enum:"completed""error""excluded""expiration date changed""no longer eligible""payment failure""pending""processing""processing order"
step_function_execution_arnstring(Step Function Execution Arn)

The step function arn

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

training_provider_billing_recordsArray of objects, non-emptyrequired
training_provider_idstring(Training Provider)required

The application linked to this action

typestring(Type)required
Enum:"activate application""bill training provider""drop certification""expire application""forecast renewal""send application reminder""send renewal reminder"
Response
{ "application_id": "string", "application_notice_id": "string", "billing_run_id": "string", "candidate_id": "string", "candidate_service": "string", "certification_id": "string", "certification_notice_id": "string", "date": "2019-08-24T14:15:22Z", "email_training_provider_invoice": true, "error_message": "string", "error_stack": "string", "expiration_date": "string", "id": "string", "invoice_id": "string", "invoice_template_id": "string", "last_refresh_date": "2019-08-24T14:15:22Z", "name": "string", "outcome_of_last_refresh": "added", "program_id": "string", "status": "completed", "step_function_execution_arn": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "training_provider_billing_records": [ { … } ], "training_provider_id": "string", "type": "activate application" }